12345678910111213141516171819202122232425262728293031323334353637383940414243444546474849505152535455565758596061626364656667686970 |
- #!/bin/sh
- if [ -d .git ]; then
- touch ChangeLog
- cp README.md README
- fi
- TESTLIBTOOLIZE="glibtoolize libtoolize"
- LIBTOOLIZEFOUND="0"
- srcdir=`dirname $0`
- test -z "$srcdir" && srcdir=.
- olddir=`pwd`
- cd $srcdir
- aclocal --version > /dev/null 2> /dev/null || {
- echo "error: aclocal not found"
- exit 1
- }
- automake --version > /dev/null 2> /dev/null || {
- echo "error: automake not found"
- exit 1
- }
- for i in $TESTLIBTOOLIZE; do
- if which $i > /dev/null 2>&1; then
- LIBTOOLIZE=$i
- LIBTOOLIZEFOUND="1"
- break
- fi
- done
- if [ "$LIBTOOLIZEFOUND" = "0" ]; then
- echo "$0: need libtoolize tool to build ixion" >&2
- exit 1
- fi
- amcheck=`automake --version | grep 'automake (GNU automake) 1.5'`
- if test "x$amcheck" = "xautomake (GNU automake) 1.5"; then
- echo "warning: you appear to be using automake 1.5"
- echo " this version has a bug - GNUmakefile.am dependencies are not generated"
- fi
- rm -rf autom4te*.cache
- $LIBTOOLIZE --force --copy || {
- echo "error: libtoolize failed"
- exit 1
- }
- aclocal -I m4 $ACLOCAL_FLAGS || {
- echo "error: aclocal $ACLOCAL_FLAGS failed"
- exit 1
- }
- autoheader || {
- echo "error: autoheader failed"
- exit 1
- }
- automake -a -c --foreign || {
- echo "warning: automake failed"
- }
- autoconf || {
- echo "error: autoconf failed"
- exit 1
- }
- test x$NOCONFIGURE = x && ./configure $@
|